domainbrowser.h
/* This file is part of the KDE project
*
* Copyright (C) 2004 Jakub Stachowski <qbast@go2.pl>
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Library General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Library General Public License for more details.
*
* You should have received a copy of the GNU Library General Public License
* along with this library; see the file COPYING.LIB. If not, write to
* the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301, USA.
*/
#ifndef DNSSDDOMAINBROWSER_H
#define DNSSDDOMAINBROWSER_H
#include <qobject.h>
#include <qdict.h>
#include <dnssd/remoteservice.h>
// KIPC message ID used by kcm module to signal change in browsing domains list
#define KIPCDomainsChanged 2014
class QStringList;
namespace DNSSD
{
class DomainBrowserPrivate;
class KDNSSD_EXPORT DomainBrowser : public QObject
{
Q_OBJECT
public:
DomainBrowser(QObject *parent=0);
DomainBrowser(const QStringList& domains, bool recursive=false, QObject *parent=0);
~DomainBrowser();
const QStringList& domains() const;
void startBrowse() ;
bool isRunning() const;
signals:
void domainRemoved(const QString&);
void domainAdded(const QString&);
protected:
virtual void virtual_hook(int,void*);
private:
friend class DomainBrowserPrivate;
DomainBrowserPrivate *d;
void gotNewDomain(const QString&);
void gotRemoveDomain(const QString&);
private slots:
void domainListChanged(int,int);
};
}
#endif
DNSSD::DomainBrowser
Class used to provide current list of domains for browsing.
Definition: domainbrowser.h:41

KDE Home | KDE Accessibility Home | Description of Access Keys